PSoC Creator中CYBLE-416045-02 EZ-BLE 模组入门的必备软件设置 – KBA224892

Version 2

    Version: **

     

    问题: PSoC Creator 中用CYBLE-416045-02EZ-BLE 模组开发的必备软件设置?

    答案: CYBLE-416045-02 EZ-BLE是一个完全集成和认证的蓝牙低功耗无线模组。在开始开发之前,需要先完成下面的步骤。

    在开始开发之前,需要先完成下面的步骤。

     

    1. 安装PSoC Creator 4.2 (https://www.cypress.com/products/psoc-creator-integrated-design-environment-ide);如果您已经在计算机上安装PSoC Creator 4.2, 请跳过此步骤。
    2. 安装PSoCProgrammerSetup_3.27.3.exe (https://www.cypress.com/products/psoc-programming-solutions)
    3. 安装PDL 3.0.4 (https://www.cypress.com/documentation/software-and-drivers/peripheral-driver-library-pdl)
    4. 安装设备包更新。在PSoC Creator中选择Tools”>“Find New devices并继续执行更新。如果您的设备已经是最新的,则弹出没有新设备可用的消息。
    5. 重启 PSoC Creator
    6. 选择Tools”>“Options
    7. Project Management” > “PDL v3 (PSoC6 devices) location下选择PDL 3.04文件夹,如下所示
    8. 使用CYBLE-416045-02 创建一个新的项目,编译,下载和测试您的应用程序。
    9.   如果您希望将现有的项目重新选定到CYBLE-4160045-02,请在选择新的型号之后更新该项目中的PDL版本。
      选择Project > Build Settings… > Peripheral Driver Library, 然后在自定义选择合适PDL 3.04路径,如下所示: